Package org.apache.lucene.queries.function.valuesource

# Class MultiFunction.Values

java.lang.Object
org.apache.lucene.queries.function.FunctionValues
org.apache.lucene.queries.function.valuesource.MultiFunction.Values

Enclosing class:
  `MultiFunction`

public class MultiFunction.Values extends FunctionValues
Base implementation that wraps multiple sources

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

  `FunctionValues.ValueFiller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Values(FunctionValues[] valsArr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FunctionValues.ValueFiller`
  `getValueFiller()`
  `String`
  `toString(int doc)`

  ### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

  `boolVal, bytesVal, byteVal, byteVal, byteVectorVal, cost, doubleVal, doubleVal, exists, explain, floatVal, floatVal, floatVectorVal, getRangeScorer, getScorer, intVal, intVal, longVal, longVal, numOrd, objectVal, ordVal, shortVal, shortVal, strVal, strVal`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Values

    public Values(FunctionValues[] valsArr)

- ## Method Details

  - ### toString

    public String toString(int doc) throws IOException
    Specified by:
      `toString` in class `FunctionValues`
    Throws:
      `IOException`

  - ### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()
    Overrides:
      `getValueFiller` in class `FunctionValues`